
import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/models/business.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../widgets/desktop/product_search.dart' as desktop;
import '../widgets/mobile/product_search.dart' as mobile;

class ProductSearch extends StatelessWidget {
  final Business business;

  const ProductSearch(this.business, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          ScreenTypeLayout(
            mobile: mobile.ProductSearch(business),
            tablet: desktop.ProductSearch(business),
            desktop: desktop.ProductSearch(business),
          ),
    );
  }

}